import type { AnyVersionDelta, AnyVersionHistory, HistoryTreeNode } from './types';
export declare function getHistoriesTree(histories: readonly AnyVersionHistory[], deltas: readonly AnyVersionDelta[]): readonly [HistoryTreeNode, HistoryTreeNode[]];
export declare function computeRecoverPaths(target: HistoryTreeNode, root: HistoryTreeNode, flattens: readonly HistoryTreeNode[]): {
    paths: {
        delta: AnyVersionDelta;
        type: 'forward' | 'backward';
    }[];
    source: HistoryTreeNode;
};
export declare function findHistoryTreeNodesToPrune(to_prune: HistoryTreeNode, base: HistoryTreeNode, flatten_nodes: readonly HistoryTreeNode[]): HistoryTreeNode[];
export declare const PointType: {
    readonly NONE: 0;
    readonly NODE: 1;
    readonly PATH_MAIN: 2;
    readonly PATH_SIDE: 3;
};
export type PointType = typeof PointType[keyof typeof PointType];
export declare function markTreeGraph(root: HistoryTreeNode, flattens: readonly HistoryTreeNode[]): void;
export declare function formatBytes(bytes: number): string;
